iptables quota2

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

iptables quota2

Richard Warburton
Hi,

I'm trying (unsuccessfully) to install the quota2 pkg for iptables on a PCEngines APU board since quota isn't thread safe and doesn't work accurately on multicore systems.

# apt-get install xtables-addons-dkms
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Recommended packages:
  linux-headers-generic linux-headers
The following NEW packages will be installed:
  xtables-addons-dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/150 kB of archives.
After this operation, 590 kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  xtables-addons-dkms
Authentication warning overridden.
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_NZ.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76, <> line 1.)
debconf: falling back to frontend: Readline
Selecting previously unselected package xtables-addons-dkms.
(Reading database ... 13932 files and directories currently installed.)
Unpacking xtables-addons-dkms (from .../xtables-addons-dkms_1.42-2_all.deb) ...
Setting up xtables-addons-dkms (1.42-2) ...
Loading new xtables-addons-1.42 DKMS files...
First Installation: checking all kernels...
>>> Building only for 3.14.12-voyage
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed. <<<

I've tried installing linux-source and linux-source-3.14.12-voyage, but no luck.  Still won't build the module.  Currently running Voyage 0.9.5 (link from PCEngines), but I see there's a later release... will that help?

Also, installing xtables-addons-dkms has a lot of dependencies for a tiny kernel module, making the footprint huge (extra 150MB+).  Is there a way around this?  Does anyone have a pre-built package module?

Many thanks in advance,
Richard.

_______________________________________________
Voyage-linux mailing list
[hidden email]
http://list.voyage.hk/mailman/listinfo/voyage-linux
Reply | Threaded
Open this post in threaded view
|

Fwd: iptables quota2

Richard Warburton
Hi,

I'm trying (unsuccessfully) to install the quota2 pkg for iptables on a PCEngines APU board since quota isn't thread safe and doesn't work accurately on multicore systems.

# apt-get install xtables-addons-dkms
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Recommended packages:
  linux-headers-generic linux-headers
The following NEW packages will be installed:
  xtables-addons-dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/150 kB of archives.
After this operation, 590 kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  xtables-addons-dkms
Authentication warning overridden.
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_NZ.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76, <> line 1.)
debconf: falling back to frontend: Readline
Selecting previously unselected package xtables-addons-dkms.
(Reading database ... 13932 files and directories currently installed.)
Unpacking xtables-addons-dkms (from .../xtables-addons-dkms_1.42-2_all.deb) ...
Setting up xtables-addons-dkms (1.42-2) ...
Loading new xtables-addons-1.42 DKMS files...
First Installation: checking all kernels...
>>> Building only for 3.14.12-voyage
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed. <<<

I've tried installing linux-source and linux-source-3.14.12-voyage, but no luck.  Still won't build the module.  Currently running Voyage 0.9.5 (link from PCEngines), but I see there's a later release... will that help?

Also, installing xtables-addons-dkms has a lot of dependencies for a tiny kernel module, making the footprint huge (extra 150MB+).  Is there a way around this?  Does anyone have a pre-built package module?

Many thanks in advance,
Richard.

_______________________________________________
Voyage-linux mailing list
[hidden email]
http://list.voyage.hk/mailman/listinfo/voyage-linux
Reply | Threaded
Open this post in threaded view
|

Re: iptables quota2

Kim-man 'Punky' TSE-2
In reply to this post by Richard Warburton
Hi Richard,

Out of tree module is always painful.  Please contact the package maintainer to check which kernel should work with it
and compile against it.


On 7/15/2015 6:16 AM, Richard Warburton wrote:

> Hi,
>
> I'm trying (unsuccessfully) to install the quota2 pkg for iptables on a PCEngines APU board since quota isn't thread
> safe and doesn't work accurately on multicore systems.
>
> # apt-get install xtables-addons-dkms
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Recommended packages:
>   linux-headers-generic linux-headers
> The following NEW packages will be installed:
>   xtables-addons-dkms
> 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0 B/150 kB of archives.
> After this operation, 590 kB of additional disk space will be used.
> WARNING: The following packages cannot be authenticated!
>   xtables-addons-dkms
> Authentication warning overridden.
> perl: warning: Setting locale failed.
> perl: warning: Please check that your locale settings:
> LANGUAGE = (unset),
> LC_ALL = (unset),
> LANG = "en_NZ.UTF-8"
>     are supported and installed on your system.
> perl: warning: Falling back to the standard locale ("C").
> debconf: unable to initialize frontend: Dialog
> debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at
> /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76, <> line 1.)
> debconf: falling back to frontend: Readline
> Selecting previously unselected package xtables-addons-dkms.
> (Reading database ... 13932 files and directories currently installed.)
> Unpacking xtables-addons-dkms (from .../xtables-addons-dkms_1.42-2_all.deb) ...
> Setting up xtables-addons-dkms (1.42-2) ...
> Loading new xtables-addons-1.42 DKMS files...
> First Installation: checking all kernels...
> >>> Building only for 3.14.12-voyage
> Module build for the currently running kernel was skipped since the
> kernel source for this kernel does not seem to be installed. <<<
>
> I've tried installing linux-source and linux-source-3.14.12-voyage, but no luck.  Still won't build the module.  
> Currently running Voyage 0.9.5 (link from PCEngines), but I see there's a later release... will that help?
>
> Also, installing xtables-addons-dkms has a lot of dependencies for a tiny kernel module, making the footprint huge
> (extra 150MB+).  Is there a way around this?  Does anyone have a pre-built package module?
>
> Many thanks in advance,
> Richard.
>
>
> _______________________________________________
> Voyage-linux mailing list
> [hidden email]
> http://list.voyage.hk/mailman/listinfo/voyage-linux


--
Regards,
Kim-man "Punky" Tse

* Open Source Embedded Solutions and Systems
   - Voyage Linux (http://linux.voyage.hk)
   - Voyage MPD   (http://linux.voyage.hk/voyage-mpd)
   - Voyage MuBox (http://mubox.voyage.hk)
* Voyage Store   (http://store.voyage.hk)


_______________________________________________
Voyage-linux mailing list
[hidden email]
http://list.voyage.hk/mailman/listinfo/voyage-linux